Subject: [secdir] secdir review of draft-ietf-fecframe-pseudo-cdp-04

From: Klaas Wierenga <[email-masked]>
Date: Fri, 28 Sep 2012 15:50:14 +0200

Hi,

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.
These comments were written primarily for the benefit of the security area directors. Document editors and WG chairs should treat these comments just like any other last call comments.

This draft describes how Forward Error Correction (FEC) Framework and the Session Description Protocol (SDP) elements can be combined to defined a pseudo Content Delivery Protocol (CDP) to protect multiple source flows with one or more repair flows.

The draft is concise and well written, minor nits:

** the code below figure 5:
        v=0
        o=ali 1122334455 1122334466 IN IP4 fec.example.com
        s=FEC Framework Examples
        t=0 0
	….

comes out of thin air, is it supposed to be part of Figure 5 (in that case the caption is at the wrong position)? Some explanation/introduction is useful.

*** 4.  Reconstruction of Source Flows from Repair Flow(s)
*** 4.1.  Example: Multiple Source Flows Protected by a Single Repair Flow

I think for consistency with 3 and 3.1 you should have text in 4

*** Security considerations

I agree with the author that no additional security implications are introduced

Cheers,

Klaas